
/* This file contains tabber source code to be used with the Microsoft 'C'
 * compiler or Borland 'C' compiler.  
 */
#include <windows.h>
#include <ctype.h>
#include <stdlib.h>
#include "exports.h"
#include "cwstart.h"



LIBMAIN    /* defines the LibMain() function for Borland C */


/* When this DLL is first loaded either by LibPreLoad() or LibAutoLoad(),
 * the function _init() is invoked.  Within this function, all DLL specific
 * initialization should be performed such as:
 *
 *         - Defining any module global keystrokes or keymaps to be used
 *         - Exporting any functions to be accessed through LibFunctionExec()
 *         - Autoloading any other DLLs.
 *
 */
void DLL 
_init()
{
	LibExport( "int TabBack void " );
	LibExport( "int TabFwd void " );
}

// tabber function:
//
void DLL
TabBack( void )
{
	/* back tab*/
	MovRel( 0L, BufQPrevTab( 0 ) - BufQCurrentCol() );
}
void DLL
TabFwd( void )
{
   /* fwd-tab */
	MovRel( 0L, BufQNextTab( 0 ) - BufQCurrentCol() );
}
